Subject: Re: bug#69565: Fit Image Width menu

From: Juri Linkov <[email-masked]>
Date: Sun, 10 Mar 2024 19:30:03 +0200

>> +    ["Fit Image Width" image-transform-fit-to-width
>
> To match the similar entry above, this should say "Fit Image to Window
> Width", which is not only consistent but also clearer and grammatical.
>
>> +     :help "Resize image to the width of the current window."]
>
> Ditto, to match the similar entry above, this should say "Scale image
> down to match the window width".

Agreed.  This title was copied from other programs,
but should match the existing style.

OTOH, I'm worried that both 'image-transform-fit-to-width'
and 'image-transform-fit-to-height' were declared obsolete.

So I'm not going to revive them.

Instead I'll implement a more useful item
"Fill Image to Window" that will fill the image
as much as possible to the window without leaving
any glaring empty space.  This means applying
either fit-to-width to vertical images (portrait orientation),
or fit-to-height to horizontal images (landscape orientation).